import os
from distutils.command import build_py

class BuildPy(build_py.build_py):

    command_name = 'build_py'
    
    def initialize_options(self):
        build_py.build_py.initialize_options(self)
        self.py_files = None
        self.outfiles = []

    def finalize_options(self):
        build_py.build_py.finalize_options(self)
        self.py_files = self.distribution.py_files or []

    def run(self):
        for (package, filelist) in self.py_files:
            package = package.split('.')
            package_dir = [self.build_lib] + list(package)
            package_dir = apply(os.path.join, package_dir)
            self.mkpath(package_dir)
            for file in filelist:
                (out, _) = self.copy_file(file, package_dir)
                self.outfiles.append(out)
        build_py.build_py.run(self)

    def get_outputs(self, include_bytecode=1):
        outputs = build_py.build_py.get_outputs(self, include_bytecode)
        outputs.extend(self.outfiles)
        return outputs
