import os, glob
from distutils import util
from distutils.command import install_data

class InstallData(install_data.install_data):

    command_name = 'install_data'

    def finalize_options (self):
        self.set_undefined_options('install',
                                   ('install_purelib', 'install_dir'),
                                   ('root', 'root'),
                                   ('force', 'force'),
                                  )

        for i in range(len(self.data_files)):
            # Convert the package path into a directory path
            dot_path, globs = self.data_files[i]
            path = apply(os.path.join, dot_path.split('.'))

            # Convert the list of filespecs into a list of actual files
            files = []
            for spec in globs:
                files.extend(glob.glob(util.convert_path(spec)))

            self.data_files[i] = (path, files)
        return
