########################################################################
# $Header: /var/local/cvsroot/4Suite/Ft/Server/Client/Commands/Add/Member.py,v 1.6 2003/03/20 03:50:18 mbrown Exp $
"""
Implementation of '4ss add member' command

Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/
"""

__doc__ = """Adds a User to a Group in the 4Suite repository."""

from Ft.Server.Client import FtServerClientException
from Ft.Server.Client.Commands import CommandUtil
from Ft.Server.Common import ResourceTypes

def Run(options,args):

    try:
        commit = 0
        membername = args['memberName']
        groupname = args['groupName']
        repo = CommandUtil.GetRepository(options,'4ss.add.member')
        try:
            user = repo.fetchUserOrGroupByName(membername)
            group = repo.fetchUserOrGroupByName(groupname)
            if user is not None:
                if group is not None:
                    if group.isResourceType(ResourceTypes.ResourceType.GROUP):
                        group.addMember(user)
                        commit = 1
                    else:
                        print "%s is a user, not a group." % groupname
                else:
                    print "Group %s does not exist." % groupname
            else:
                print "User %s does not exist." % membername
        finally:
            try:
                if commit:
                    repo.txCommit()
                else:
                    repo.txRollback()
            except:
                pass

    except FtServerClientException, e:
        raise


def Register():

    from Ft.Lib.CommandLine import Options, Command, Arguments

    cmd = Command.Command('member',
                          """Adds a User to a Group in the 4Suite repository.""",
                          'developers michael',
                          __doc__,
                          function = Run,
                          arguments = [Arguments.RequiredArgument('groupName',
                                                                  "The name of the group.",
                                                                  str),
                                       Arguments.RequiredArgument('memberName',
                                                                  "The name of the user.",
                                                                  str),
                                       ],

                          fileName = __file__,
                          )
    return cmd


