########################################################################
# $Header: /var/local/cvsroot/4Suite/Ft/Server/Client/Commands/Fetch/Resource.py,v 1.10 2003/04/01 09:23:53 mbrown Exp $
"""
Implementation of '4ss fetch resource' command

Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/
"""

__doc__ = """Summarizes metadata about a resource in the 4Suite repository
The summary includes the resource's name (repo path), type, creation and last modified dates, Internet Media Type, size, owner, and ACL."""

import sys
from Ft.Server import FtServerBaseException
from Ft.Server.Client.Commands import CommandUtil

def Run(options, args):

    try:
        repo = CommandUtil.GetRepository(options,'4ss.fetch.resource')
        try:
            ri = repo.fetchResource(args['name'])
            ri.pprint()
        finally:
            repo.txRollback()
    except FtServerBaseException, e:
        sys.stderr.write(str(e)+'\n')
        return


def Register():

    from Ft.Lib.CommandLine import Options, Command, Arguments

    cmd = Command.Command('resource',
                          'Summarizes metadata about a resource in the 4Suite repository.',
                          '/ftss/data/identity.xslt',
                          __doc__,
                          function = Run,
                          arguments = [Arguments.RequiredArgument('name',
                                                                  'The name (repo path) of the resource.',
                                                                  str),
                                       ],

                          fileName = __file__,
                          )
    return cmd
