__doc__ = """This command retrieves a resource from a 4Suite repository. \
It requires a subcommand specifying which type of resource to fetch. \
See the help message for one of the subcommands for specific usage info."""

import User
import Container
import Resource
import UserData
import Group
import Document
import RawFile
import DocDef


g_subCommands = [Container,
                 User,
                 Resource,
                 UserData,
                 Group,
                 Document,
                 RawFile,
                 DocDef,
                 ]

def Register():
    from Ft.Lib.CommandLine import Options, Command
    sc = map(lambda x:x.Register(),g_subCommands)
    cmd = Command.Command('fetch',
                          "Retrieve a resource from the repository",
                          None,
                          __doc__,
                          subCommands = sc,
                          fileName = __file__,
                          )
    return cmd

