########################################################################
# $Header: /var/local/cvsroot/4Suite/Ft/Server/Client/Commands/Set/Strobe.py,v 1.1 2003/03/27 21:22:32 uogbuji Exp $
"""
Implementation of '4ss set strobe' command

Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/
"""

__doc__ = """Specifies that a stylesheet should be automatically executed with the XSLT strobe."""

import sys
from Ft.Server.Client import FtServerClientException
from Ft.Server.Client.Commands import CommandUtil
from Ft.Server.Common import AclConstants, ResourceTypes


def Run(options, args):
    try:
        commit = 0
        repo = CommandUtil.GetRepository(options, '4ss.set.strobe')
        try:
            path = repo.fetchResource(args['name'])
            res = repo.fetchResource(path)
            if not user.isResourceType(ResourceTypes.ResourceType.XSLT_DOCUMENT):
                raise TypeError(path + "is not an XST document")
            repo.AddXsltStrobe(path)
            commit = 1
        finally:
            try:
                if commit:
                    repo.txCommit()
                else:
                    repo.txRollback()
            except:
                pass
    except FtServerClientException, e:
        sys.stderr.write(str(e)+'\n')


def Register():

    from Ft.Lib.CommandLine import Options, Command, Arguments

    cmd = Command.Command('strobe',
                          'Specifies that a stylesheet should be automatically executed with the XSLT strobe.',
                          '/repo/path/to/cron.xslt',
                          __doc__,
                          function=Run,
                          arguments=[Arguments.RequiredArgument('name',
                                                                'repository path of stylesheet to set for the strobe',
                                                                str),
                                     ],
                          options=Options.Options([
                                                   ]),
                          fileName=__file__,
                          )
    return cmd

