########################################################################
# $Header: /var/local/cvsroot/4Suite/Ft/Server/Client/Commands/Update/Extension.py,v 1.5 2003/03/20 03:50:20 mbrown Exp $
"""
Implementation of '4ss update extension' command

Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/
"""

__doc__ = """Reloads an extension module in the 4Suite repository."""

import sys
from Ft.Lib import Uri
from Ft.Server.Client import FtServerClientException
from Ft.Server.Client.Commands import CommandUtil

def Run(options,args):
    module = args['module']

    try:
        repo = CommandUtil.GetRepository(options,'4ss.update.extension')
        try:
            repo.reloadModule(module)
        finally:
            try:
                repo.txRollback()
            except:
                pass
    except FtServerClientException, e:
        sys.stderr.write(str(e)+'\n')


def Register():

    from Ft.Lib.CommandLine import Options, Command, Arguments

    cmd = Command.Command('extension',
                          """Reloads an extension module in the 4Suite repository.""",
                          'Ft.Share.ExtensionModules.SomeModule',
                          __doc__,
                          function = Run,
                          arguments = [
                                       Arguments.RequiredArgument('module',
                                                                  "The Python module name",
                                                                  str),
                                       ],
                          fileName = __file__,
                          )
    return cmd


