__doc__ = """This command is a client that provides access to a \
4Suite repository and RDF model from the command line.
The repository must exist and must be accessible via a 4Suite RPC server."""

# System commands

# Usage commands
import Agent
import Login
import Add
import Create
import Delete
import Fetch
import List
import Passwd
import Remove
import Rdf
import Set
import Update
import Install
import Render
import Export

from Ft.Lib.CommandLine import Options, CommandLineApp
g_options = [Options.ExclusiveOptions([Options.Option('u',
                                                      'username=USER',
                                                      'connect using the given user name'),
                                       Options.Option('a',
                                                      'anonymous',
                                                      'connect as anonymous user'),
                                       ]),
             Options.Option(None,
                            'password=PASSWORD',
                            'connect using the given password'),
             Options.Option('p',
                            'port=PORT',
                            'the port to connect to'),
             Options.Option(None,
                            'host=HOST',
                            'the host to connect to'),
             ]



g_commands = [Fetch,
              Agent,
              Login,
              Create,
              List,
              Passwd,
              Rdf,
              Set,
              Add,
              Remove,
              Delete,
              Update,
              Install,
              Render,
              Export,
              ]



class GeneralCommandLineApp(CommandLineApp.CommandLineApp):

    def __init__(self):
        CommandLineApp.CommandLineApp.__init__(self,
                                               '4ss',
                                               'Command-line client for 4Suite repository access',
                                               __doc__,
                                               map(lambda x:x.Register(),g_commands),
                                               options = g_options,
                                               fileName = __file__,
                                               )

