########################################################################
# $Header: /var/local/cvsroot/4Suite/Ft/Server/Server/SCore/ServerImp.py,v 1.5 2003/02/17 19:38:00 molson Exp $
"""
Server repository resource class

Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/
"""

import XmlDocumentImp

from Ft.Server import FTSERVER_NAMESPACE
from Ft.Server.Common import ResourceTypes


class ServerImp(XmlDocumentImp.XmlDocumentImp):
    """
    A system server
    """
    resourceType = ResourceTypes.ResourceType.SERVER



    def setRunning(self):
        """
        Change the state of this server to running
        """
        self._verifyTx()

        xu = UPDATE_STATE%(FTSERVER_NAMESPACE,'1')
        self._driver.xupdateContent(self._path,xu)

    def setStopped(self):
        """
        Change the state of this server stopped
        """
        self._verifyTx()

        xu = UPDATE_STATE%(FTSERVER_NAMESPACE,'0')
        self._driver.xupdateContent(self._path,xu)



UPDATE_STATE="""<?xml version="1.0"?>
<xupdate:modifications
  version="1.0"
  xmlns:xupdate="http://www.xmldb.org/xupdate"
  xmlns:ftss="%s"
>
  <xupdate:remove select="/ftss:Server/ftss:Status"/>
  <xupdate:append select="/ftss:Server" child='last()'><ftss:Status running = '%s'/></xupdate:append>
</xupdate:modifications>
"""


