<?xml version="1.0"?>
<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:doc="http://docbook.org/docbook/xml/4.0/namespace"
  xmlns:common="http://namespaces.fourthought.com/doc-common"
  version="1.0"
>

  <xsl:import href="4Suite-docs-html.xslt"/>
  <xsl:import href="docbook_html1.xslt"/>

  <xsl:output method="html" encoding="ISO-8859-1"/>

  <xsl:variable name="colspan"/>
  <xsl:param name='package'/>

  <xsl:template match="/">
    <xsl:variable name='title'><xsl:value-of select='$package'/><xsl:text> version </xsl:text><xsl:value-of select='$version'/></xsl:variable>
    <HTML>
    <HEAD>
      <META NAME="author" CONTENT="{doc:article/doc:artheader/doc:author}"/>
      <TITLE><xsl:value-of select='$title'/></TITLE>
    </HEAD>
    <BODY>
      <H1><xsl:value-of select='$title'/></H1>
      <xsl:apply-templates select='doc:article/doc:sect1[count(doc:title)=0]'/>
      <xsl:apply-templates select='doc:article/doc:sect1[doc:title="License/Copyright"]'/>
      <xsl:apply-templates select='doc:article/doc:sect1[doc:title="Description"]'/>
      <xsl:apply-templates select='doc:article/doc:sect1[doc:title="Installation"]'/>
      <xsl:apply-templates select='doc:article/doc:sect1[doc:title=$package]'/>
      <xsl:apply-templates select='doc:article/doc:sect1[doc:title="Quick Start"]'/>
      <xsl:apply-templates select='doc:article/doc:sect1[doc:title="Known Bugs"]'/>
      <xsl:apply-templates select='doc:article/doc:sect1[doc:title="Contact and Support"]'/>
    </BODY>
    </HTML>
  </xsl:template>

  <xsl:template match='doc:ulink'>
    <xsl:variable name='newlink'>
      <xsl:choose>
        <xsl:when test='contains(@linkend,"://")'>
          <xsl:value-of select='@linkend'/>
        </xsl:when>
        <xsl:when test='starts-with(@linkend,"../")'>
	    http://4Suite.org/getdoc.epy?file=4Suite/<xsl:value-of select='substring-after(@linkend,"../")'/>
        </xsl:when>
        <xsl:when test='starts-with(@linkend,$package)'>
           <xsl:value-of select='substring(substring-after(@linkend,$package),2)'/>
        </xsl:when>
        <xsl:otherwise>http://4Suite.org/getdoc.epy?file=4Suite/<xsl:value-of select='substring-before(@linkend,".")'/></xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
     <A HREF="{$newlink}"><xsl:apply-templates/></A>
  </xsl:template>
</xsl:stylesheet>    