<?xml version="1.0"?>
<!--

 File Name:            api-commandline.xslt

 Documentation:        http://docs.4suite.com/stylesheets/api-commandline.xslt.html

 Stylesheet to generate 4Suite API docs
 WWW: http://4suite.com/4XSLT        e-mail: support@4suite.com

 Copyright (c) 1999-2000 Fourthought Inc, USA.   All Rights Reserved.
 See  http://4suite.com/COPYRIGHT  for license and copyright information
-->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:tech="http://namespaces.fourthought.com/technical"
  xmlns:doc="http://docbook.org/docbook/xml/4.0/namespace"
  version="1.0"
>
  <!--Command Line -->
  <xsl:template match="tech:CommandLine">
    <H4>Command Line Executeable <xsl:value-of select='tech:Name'/></H4>
    <xsl:if test='tech:Desc'>  
      <P><xsl:value-of select='tech:Desc'/></P>
    </xsl:if>
    <DL>
    <xsl:for-each select="tech:Command">
      <DT><xsl:value-of select="@os"/></DT>
      <DD><xsl:value-of select="text()"/></DD>
    </xsl:for-each>
    </DL>
    <PRE>
      <xsl:value-of select='tech:Name'/>
      <xsl:text> </xsl:text>
      <xsl:for-each select='tech:Arg'>
        <xsl:variable name='required' select='@required'/>
          <xsl:if test='$required = "0" or $required = "N"'>
            <xsl:text>[</xsl:text>
          </xsl:if>
          <xsl:value-of select='tech:Name'/>
          <xsl:if test='tech:Param'>
            <xsl:text> = &lt;</xsl:text><xsl:value-of select='tech:Param'/><xsl:text>></xsl:text>
          </xsl:if>
          <xsl:if test='$required = "N"'>
            <xsl:text>...</xsl:text>
          </xsl:if>
          <xsl:if test='$required = "0" or $required = "N"'>
            <xsl:text>]</xsl:text>
          </xsl:if>
          <xsl:if test='position() != last()'>
            <xsl:text> </xsl:text>
          </xsl:if>
      </xsl:for-each>
    </PRE>
    <TABLE BORDER="1" CELLSPACING="0" CELLPADDING="3" WIDTH="600">
      <TR>
        <TD COLSPAN="2" BGCOLOR="#FF6666">
          <BIG><B>Argument Summary</B></BIG>
        </TD>
      </TR>
      <xsl:for-each select='tech:Arg'>
        <TR>
          <TD ALIGN="Left" WIDTH="150" NOWRAP="NOWRAP">
            <CODE><B><xsl:value-of select='tech:Name'/></B></CODE>
          </TD>
          <TD WIDTH="100%">
            <xsl:value-of select='tech:Desc'/>
            <xsl:if test='number(@required)'>
              <B> (required)</B>
            </xsl:if>
            <xsl:text>&#160;</xsl:text>
          </TD>
        </TR>
      </xsl:for-each>
    </TABLE>
  </xsl:template>

</xsl:stylesheet>

