<?xml version = "1.0"?>
<xsl:stylesheet version='1.0'
  xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
  xmlns:doc='http://docbook.org/docbook/xml/4.0/namespace'
  xmlns:c='http://namespaces.fourthought.com/common'
  xmlns:ft='http://namespaces.fourthought.com/contact'
  xmlns:xlink='http://www.w3.org/2000/xlink/namespace/'
>
 
<xsl:output method="html" encoding="ISO-8859-1"/>

<xsl:template match="/">
  <html>
    <head>
      <title>Contact Report</title>
      <META NAME="author" CONTENT="{doc:article/doc:artheader/doc:author}"/>
    </head>
    <body>
      <h1><xsl:value-of select='doc:article/doc:artheader/doc:title'/></h1>
      <xsl:apply-templates/>
    </body>
  </html>
</xsl:template>


<xsl:template match='ft:Contacts'>
  <table>
    <xsl:apply-templates />
  </table> 
</xsl:template>

<xsl:template match='ft:Organization'>
    <tr>
      <td colspan="2">Organization: <i><a href='{ft:SeeAlso}'><xsl:value-of select= "@name"/></a></i>
      </td>
    </tr>
    <tr>
      <td>
        <xsl:apply-templates select='ft:Desc'/>
      </td>
    </tr>
    <tr>
      <td>
        <xsl:apply-templates select='ft:Address'/>
      </td>
    </tr>
    <tr>
      <td>
        <xsl:apply-templates select='ft:Contact'/>
      </td>
    </tr>
</xsl:template>

<xsl:template match='ft:Contact'>
        <table border="1">
          <tr>
            <td colspan="2"><xsl:value-of select= "ft:Name"/>, <xsl:value-of select= "ft:Title"/></td>
          </tr>
          <tr>
            <td>
              <xsl:for-each select='ft:Phone'>
                <xsl:value-of select='@desc'/>: <xsl:apply-templates/>
              </xsl:for-each>
            </td>
          </tr>
        </table>
</xsl:template>

</xsl:stylesheet>
