<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [
  <!ENTITY nbsp "&#160;">
  <!ENTITY rdf "http://www.w3.org/1999/02/22-rdf-syntax-ns#">
  <!ENTITY rdfs "http://www.w3.org/2000/01/rdf-schema#">
  <!ENTITY f	"http://xmlns.4suite.org/ext">
  <!ENTITY fres "http://xmlns.4suite.org/reserved">
  <!ENTITY dc "http://purl.org/dc/elements/1.1/">
  <!ENTITY fschema "http://schemas.4suite.org/4ss">
  <!ENTITY vcard "http://4suite.org/nexus/rdfs/vcard#">
]>
<xsl:stylesheet
  version="1.0" 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:fcore="http://xmlns.4suite.org/4ss/score" 
  xmlns:frdf="http://xmlns.4suite.org/4ss/rdf" 
  xmlns:fhttp="http://xmlns.4suite.org/4ss/http"
  xmlns:exslt="http://exslt.org/common"
  xmlns:exslt-set="http://exslt.org/sets"
  xmlns:exslt-math="http://exslt.org/math"
  xmlns:exslt-functions="http://exslt.org/functions"
  xmlns:exslt-date-time="http://exslt.org/dates-and-times"
  xmlns:dc="&dc;" 
  xmlns:fres="&fres;"
  xmlns:rdf="&rdf;" 
  xmlns:f="&f;" 
  xmlns:vcard="&vcard;" 
  xmlns:fschema="http://schemas.4suite.org/4ss"
  xmlns:cext="http://xmlns.4suite.org/demos/cards"
  extension-element-prefixes="f frdf fhttp fcore exslt exslt-set exslt-math exslt-functions exslt-date-time cext">

  <!--
File:  FILENAME HERE

Description:

    DESCRIPTION HERE


WWW: http://4suite.org        e-mail: support@4suite.org

Copyright (c) 2000-2001 Fourthought Inc, USA.   All Rights Reserved.
See  http://4suite.org/COPYRIGHT  for license and copyright information

  -->

  <xsl:import href='draw-screen.xsl'/>
  <xsl:include href='globals.xsl'/>

  <xsl:template match="/cribbage">
    <xsl:call-template name='draw-screen'>
      <xsl:with-param name='form-action' select='"../discard.xslt"'/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template name='playing-area'>
    <!-- Play info -->
    <H2>The Cut: <xsl:value-of select='key("players",$initial-dealer)/name'/><xsl:text>'s crib</xsl:text></H2>
    <TABLE>
      <TR>
        <TD><IMG src='{draw-info/player-one/Card/@img}'/></TD>
      </TR>
      <TR>
        <TD><IMG src='{draw-info/player-two/Card/@img}'/></TD>
      </TR>
    </TABLE>
  </xsl:template>

  <xsl:template match='Card' mode='player-hand'>
    <TD>
      <IMG src='{@img}'/><BR class='HACK'/>
      <INPUT TYPE='CHECKBOX' NAME='DISCARD{position()}' VALUE='{@short-name}'/>Discard
    </TD>
  </xsl:template>

  <xsl:template name='cur-count'>
    <TR>
      <TD ALIGN='CENTER' COLSPAN='2'>
        Current Count: <xsl:value-of select='/cribbage/game-info/cur-count'/>
      </TD>
    </TR>
  </xsl:template>

  <xsl:template match='Card' mode='cut-card'>
    <TR>
      <TD ALIGN='CENTER' COLSPAN='2'>
        <IMG src='/images/cards/4SS-Back.png'/>
      </TD>
    </TR>
  </xsl:template>


  <xsl:template name='player-hand-other'>
    <INPUT TYPE='SUBMIT' VALUE='Submit Discards'/>
  </xsl:template>

</xsl:stylesheet>
