__revision__ = "$Id: __init__.py,v 1.3 2002/07/22 04:24:45 uogbuji Exp $"

from xml.dom import Node

def Language(node):
    """
    Get the language property of the given node, based on xml:lang
    attributes present on the node or its ancestors.
    node - object of xml.dom.Node protocol
    """
    while node:
        lang_attr = [ x for x in node.attributes.values()
                        if x.name == 'xml:lang' and x.value ]
        value = lang_attr and lang_attr[0].nodeValue or None
        if value:
            #Remove suffix if there is one
            index = value.find('-')
            if index != -1:
                value = value[:index]
            value = value.upper()
            return value
        node = node.nodeType == Node.ATTRIBUTE_NODE and node.ownerElement or node.parentNode
        if node.nodeType == Node.DOCUMENT_NODE:
            break
    return None


